#
# Project created by QtCreator 2011-09-20T08:15:30
#
#-------------------------------------------------

#include(/etc/lppmon/lppmonplugin.prf)
CONFIG += lppmonplugin

TEMPLATE = lib

CONFIG(debug, debug|release) {
  DEBUG_EXT = _d
} else {
  DEBUG_EXT =
}
TARGET = rmapplugin$${DEBUG_EXT}

QT += core gui xml svg network

contains(QT_MAJOR_VERSION, 5) {

  QT += widgets

  QT += printsupport

}

DEFINES += PLUGIN=rmapplugin
DEFINES += PLUGINHEADER="\"\\\"rmapplugin.h"\\\"\"
DEFINES += driver_Name="\"\\\"RMAPPlugin"\\\"\"
DEFINES += driver_Author="\"\\\"Paul Leroy paul.leroy@lpp.polytechnique.fr"\\\"\"
DEFINES += driver_Version="\"\\\"1.1.2"\\\"\"
DEFINES += driver_Description="\"\\\"AHB bus controler, works with Gaisler's AHB plugn' play bus."\\\"\"
DEFINES += driver_can_be_root=1
DEFINES += driver_can_be_child=0
DEFINES += driver_VID=0
DEFINES += driver_PID=0

STAR_DUNDEE_PATH = /home/spacewire/usb/spw_usb_driver_v2.68

LIBS += $$STAR_DUNDEE_PATH/lib/x86_64/libSpaceWireUSBAPI.so \
    $$STAR_DUNDEE_PATH/lib/x86_64/libConfigLibraryUSB.so


INCLUDEPATH += \
        $${PWD} \
        ../../../DEV_PLE/header \
        $$STAR_DUNDEE_PATH/inc \
        $${QT_INSTALL_HEADER} \
        $$[QT_INSTALL_HEADERS]/lppmon/common \
        $$[QT_INSTALL_HEADERS]/lppmon/wfdisplay \
        $$[QT_INSTALL_HEADERS]/lppmon/paulcommon


LIBS += -lwfdisplay -lpaulcommon


HEADERS += \
    rmappluginui.h \
    rmapplugin.h \
    rmapoperations.h \
    ccsds.h \
    rmappluginpythonwrapper.h \
    stardundee.h \
    gresb.h \
    tmechobridge.h \
    entermode.h \
    lfractions.h


SOURCES += \
    rmapplugin.cpp \
    rmappluginui.cpp \
    rmapoperations.cpp \
    ccsds.cpp \
    rmappluginpythonwrapper.cpp \
    stardundee.cpp \
    gresb.cpp \
    tmechobridge.cpp \
    entermode.cpp \
    lfractions.cpp










